ZAUDIO(4)

NAME
zaudio - Zaurus audio device

SYNOPSIS
zaudio0 at pxaip?
audio* at zaudio?

DESCRIPTION
The zaudio driver interfaces the sound hardware found on the Zaurus with the audio(4) framework. Sound support on the Zaurus is provided by the Inter-IC Sound (I2S) Controller which is used to transfer samples to a Wolfson Microelectronics WM8750 audio codec. The WM8750 is controlled via the PXA2x0 I2C Controller.

The hardware is capable of using both the internal speaker and headphone socket for the playback of 8- and 16-bit audio samples at rates ranging from 8kHz to 48kHz.

SEE ALSO
audio(4), intro(4), pxaip(4)

HISTORY
The zaudio device driver first appeared in OpenBSD 3.8.

AUTHORS
The zaudio driver was written by Christopher Pascoe <pascoe@openbsd.org>.

CAVEATS
Recording is unimplemented in the zaudio driver.

The zaudio driver only supports the hardware found on the Zaurus C3000, C3100, and C3200, though support for the C860 is planned for the future.